using MTWorkHR.Core.Entities;
using MTWorkHR.Core.IDto;
using MTWorkHR.Core.IRepositories.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Core.IRepositories
{
    public interface IMeetingUserRepository : IRepository<MeetingUser>
    {
        Task<Tuple<ICollection<MeetingUser>, int>> GetAllAsync(IPagingInputDto pagingInputDto);
        Task<MeetingUser> GetByIdAsync(long id);
        Task<MeetingUser> AddAsync(MeetingUser entity);
        Task<IList<MeetingUser>> AddRangeAsync(IList<MeetingUser> entity);
        Task DeleteAsync(MeetingUser entity);
        Task DeleteAsync(IEnumerable<MeetingUser> entities);
    }
}
